// Pinbelegung für Arduino Nano
#include <Servo.h>
#include <SoftwareSerial.h>
// HC-05 TX an Arduino pin RX. 
// HC-05 RX an Arduino pin TX über Spannungsteiler
// 
Servo xServo[3];       //Array für die drei Servos
int   werte[3];        //Array für die drei Integerwerte
int   arrayIndex = 0;  //Arrayindex initialisieren.

void setup() {
  Serial.begin(9600);
  xServo[0].attach(6);  // Seitenruder an Pin 6
  xServo[1].attach(8);  // Höhenruder an Pin 8
  xServo[2].attach(9);  // Motor-Fahrtregler an Pin 9
  werte[0] = 88;        // Anfangsmittelstellung Seitenruder
  werte[1] = 88;        // Anfangsmittelstellung Höhenruder
  werte[2] = 0;         // Anfangsstellung Motor aus

}

void loop() {
  if( Serial.available())
  {    
    char ch = Serial.read();
    if(ch == 's')
    {
      //arrayindex 0 für Seitenruder
      arrayIndex = 0;
      werte[arrayIndex] = 0;
    }
    else if(ch == 'h')
    {
      //arrayindex 1 für Höhenruder
      arrayIndex = 1;
      werte[arrayIndex] = 0;
    }
        else if(ch == 'm')
    {
      //arrayindex 2 für Motor-Fahrtregler
      arrayIndex = 2;
      werte[arrayIndex] = 0;
    }
    // Falls die ASCII Zeichen Ziffern sind.
    else if(ch >= '0' && ch <= '9')
    {
      //ASCII Wert in Ziffer konvertieren und aus Ziffern Dezimalzahl machen.
      werte[arrayIndex] = (werte[arrayIndex] * 10) + (ch - '0'); 
    }
    else if (ch =='\n') // Wenn letztes Zeichen Protokoll empfangen dann ist der Wert da.
    {
       xServo[arrayIndex].write(werte[arrayIndex]);  // Servo setzen
       delay(150); // gib dem Servo ein bisschen Stellzeit
    }
  }
  
}






